## gtherm 0.0.3

=== meson_options.txt ===
option('introspection', type: 'feature', value: 'auto')
option('vapi', type: 'boolean', value: true)

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Handy')

## gtherm 0.0.2

=== debian/changelog ===
gtherm (0.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #965024)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Tue, 14 Jul 2020 15:33:40 +0000

=== debian/control ===
Source: gtherm
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Henry-Nicolas Tourneur <debian@nilux.be>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 gtk-doc-tools,
 libgirepository1.0-dev,
 libglib2.0-dev,
 meson,
 pkg-config,
 valac,
Standards-Version: 4.5.0
Homepage: https://source.puri.sm/Librem5/gtherm
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/gtherm.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/gtherm

Package: gthd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: DBus service to monitor thermal information
 GThd is a DBus activated daemon that provides information
 about thermal zones, cooling cells and trip points.
 .
 This package contains the daemon.

Package: libgtherm-0.0-0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: DBus service to monitor thermal information - shared library
 GThd is a DBus activated daemon that provides information
 about thermal zones, cooling cells and trip points.
 .
 This package contains the shared libraries for applications interfacing with
 Gthd.

Package: libgtherm-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-gtherm-0.0 (= ${binary:Version}),
 libglib2.0-dev,
 libgtherm-0.0-0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: DBus service to monitor thermal information - development files
 GThd is a DBus activated daemon that provides information
 about thermal zones, cooling cells and trip points.
 .
 This package contains development files and Vala bindings to use when writing
 applications that interface with GThd.

Package: gir1.2-gtherm-0.0
Architecture: any
Section: introspection
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: GObject introspection data for libgtherm
 GThd is a DBus activated daemon that provides information
 about thermal zones, cooling cells and trip points.
 .
 This package contains introspection data for the libgtherm library.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/gtherm.*\.tar\.gz/gtherm-$1\.tar\.gz/g \
  https://source.puri.sm/Librem5/gtherm/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## gtherm 0.0.3

=== debian/changelog ===
gtherm (0.0.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:21:44 +0000

gtherm (0.0.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:53:33 +0000

gtherm (0.0.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Henry-Nicolas Tourneur ]
  * New upstream version 0.0.3
  * d/gbp.conf: enable pristine-tar and upstream-tag
  * d/control: Set Standards-Version to 4.6.0 (no changes needed)
  * d/watch: fix filemangle option
  * d/tests/control: do not mark tests as superficial
    we are really testing gtherm using examples/example.py

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 07 Nov 2021 16:12:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gtherm
 Section: x11
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Henry-Nicolas Tourneur <debian@nilux.be>,
 Build-Depends:
@@ -13,7 +14,7 @@
  meson,
  pkg-config,
  valac,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://source.puri.sm/Librem5/gtherm
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/gtherm.git

=== debian/tests/control ===
Tests: build-test
Depends:
 build-essential,
 libgtherm-dev,
 pkg-config,
Restrictions: allow-stderr

Test-Command: dbus-run-session examples/example.py
Depends:
 dbus,
 gir1.2-gtherm-0.0,
 python3,
 python3-gi,
Restrictions: allow-stderr
